summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_build_service.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/bin/reproducible_build_service.sh b/bin/reproducible_build_service.sh
index d9df379e..390db7e3 100755
--- a/bin/reproducible_build_service.sh
+++ b/bin/reproducible_build_service.sh
@@ -241,11 +241,20 @@ startup_workers() {
}
#
-# main
+# main, keep running forever…
#
-startup_workers
-# keep running forever…
-while true ; do sleep 1337m ; done
+while true ; do
+ #
+ # this is all we do
+ #
+ startup_workers
+ #
+ # now sleep, but allow wakeup calls
+ #
+ set +e
+ sleep 1337m
+ set -e
+done
# FIXME: TODO left for _service.sh:
# * link to console.log in rbuild.log is broken